Помогите выбрать версию опенкарт 1.5.5.1.2 или 2.Х.Х.Х

Тема в разделе "OpenCart", создана пользователем Максим1983, 23 май 2016.

  1. skiv14

    skiv14

    Регистрация:
    9 июн 2015
    Сообщения:
    412
    Симпатии:
    159
    Leonellka, не говорите чушь, пожалуйста.
    Тут половина народу сидит на 1.5-1,6. И модули скачиваются и советы по настройке и доработке дают.
     
  2. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    778
    А на двойке не проблема? Это в принципе в ОК проблема - половина модулей из коробки или совсем не работают или с косяками.

    Значит вы очень плохо ищите! Есть толпы фрилансеров с большим опытом работы с 1.5 и без каких-либо причин отказываться от заказов по этой ветке (разве что платите мало, но это уже к версии не относится).
     
  3. hicenko

    hicenko

    Регистрация:
    24 янв 2013
    Сообщения:
    97
    Симпатии:
    17
    Я всегда приветствую только последнюю версию. Тем более по 2.х уже почти все есть.
     
  4. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    778
    Любопытно, а версию 2.0 вы тоже приветствовали? Хотя она была на половину нерабочей.


    Да, в перспективе двойка может стать довольно крутым движком, но это года через 2 - 3, когда наконец допилят все изменения в архитектуре. а попутно с ними отвалятся все существующие уже под двойку модули и шаблоны.
     
  5. skiv14

    skiv14

    Регистрация:
    9 июн 2015
    Сообщения:
    412
    Симпатии:
    159
    Да, а потом тройка появится...

    Это как с виндой. Вроде всё отлично на семёрке, но появилась виста - часть на неё перешла. Потом 8. Потом допилили, 8.1 вышла. Сейчас 10.
    А кто-то до сих пор сидит на вин 7 и не хрюкает ))
     
  6. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    778
    Сначала была Виста и всё её дико материли и возвращались назад на XP, а потом уже вышла Семёрка и стала вторым хитом после XP.
    Восьмёрка повторила историю Висты. А Десятка, следую традиции, что у МС нормальные ОС получаются через одну, может стать новым хитом. Вдобавок, она ещё и стала надгробной плитой для ИЕ.

    В случае с ОК, тройка появится либо очень нескоро (лет через 10), либо не будет иметь никаких кардинальных изменений, а просто станет формальным ознаменованием завершения оформления новой архитектуры, работа над которой сейчас ведётся в двойке.

    С точки зрения стабильности 2.2 уже можно использовать в продакшене, но нужно сразу понимать, что обновляться не получиться и потому, если и выбирать 2.2 вместо 1.5, то не потому, что можно будет потом легко обновится дальше.

    А обновляться не получиться, потому что между всеми версиями в ветке 2.2 в большей или меньшей степени сломана обратная совместимость и она дальше будет ломаться, ибо новая архитектура пока оформилась максимум процентов на 40 и впереди ещё много существенных изменений.
     
  7. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    283
    Симпатии:
    85
    Это ж почему тупиковая?
    Какие вам нужны под нее модули, что вы говорите, что фрилансеров не найти.

    Вполне живая ветвь, да застывшая в развитии, и развиваться не будет. но по дорогам СНГ до сих пор 408-ые москвичи бегают.

    И уверяю, что она чуть быстрее двойки..

    Да, проф фриланс ушел в двойку.
    2.2. отличается от 2.1 - потому и пытаются опытные отслеживать изменения в версиях. И сказать, что сильно поменялось нельзя..
     
  8. blender

    blender

    Регистрация:
    12 май 2016
    Сообщения:
    1
    Симпатии:
    0
    тоже соглашусь. товарищ недавно искал человека написать модуль и доработать. спокойно нашел, сделали все что просил.
     
  9. mylifeyd

    mylifeyd

    Регистрация:
    9 июн 2016
    Сообщения:
    1
    Симпатии:
    0
    Я пользуюсь уже версией 2.0, до этого много лет был на 1.5
    2.0 однозначно лучше!
     
  10. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    778
    Вот именно 2.0, в которой некоторых частей кода тупо не хватает, ибо их просто не успели написать и выкатили релиз как есть?
    И вообще, у 2.0 основные отличия от 1.5 - это новые шаблоны витрины и админки + аналог vQmod из коробки. Плюс тонны багов.
     
  11. koshkakogti

    koshkakogti

    Регистрация:
    17 сен 2013
    Сообщения:
    18
    Симпатии:
    2
    Как по мне - админка стала хуже и не удобнее ИМХО. Хотя может это с непривычки.
     
  12. Максим1983

    Максим1983

    Регистрация:
    23 май 2016
    Сообщения:
    7
    Симпатии:
    0

    Я так понимаю обновится с 1.5.5.2 возможности не будет, только все по новой ?
     
  13. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    778
    Ну, лучше она точно не стала.
    Вместо того, чтоб разработать свой UI там просто купили готовый шаблон у автора AdminLTE, при чём по уникальной цене (это когда шаблон снимается с продажи после такого выкупа). За такие деньги можно было и свой UI сделать.

    Да, всё надо устанавливать заново.
    Если сравнивать 1.5.5 и актуальную на текущий момент 2.2 - там огромное количество кардинальных изменений под капотом.
     
  14. koshkakogti

    koshkakogti

    Регистрация:
    17 сен 2013
    Сообщения:
    18
    Симпатии:
    2
    Просто нажать "волшебную кнопку" и получить ОС-2.х не получится, в частности нужно еще найти плагины которые будут работать вместо существующих. А если у плагинов нет новых версий под новый ОС, то другие плагины будут хранить свою внутреннюю информацию по-другому, что тоже проблема. Перенести данные о производителях, категориях, товарах, опциях и тп. скорее всего удастся в полном объеме за исключением данных каких-то сторонних плагинов.
     
  15. blackfm

    blackfm

    Регистрация:
    29 янв 2013
    Сообщения:
    181
    Симпатии:
    34
    у меня более 20 проектов на 1.5.5.1.2 ocstore, темы самописные адаптивные. Проблем с работоспособностью модулей нет, то есть были модули, которые не работали, но все они легко устранялись.
    Для практичного перехода на 2.х нужно очень много времени - подобрать связку работающих модулей, желательно без всяких ION loader'ов, искоренить конфликты, и баги. К сожалению, времени на такое у меня нет, 1,5 работает как часы.

    Но для тех, кто начинает знакомство с ИМ, лучше уже взяться за ветку 2.х.
     
  16. koshkakogti

    koshkakogti

    Регистрация:
    17 сен 2013
    Сообщения:
    18
    Симпатии:
    2
    Тут соглашусь, пока новички разберутся и сделают хоть какой-то сайт с которого покупатель что-то купит, то 2.х может уже быть вполне стабильной ЦМС.